"{ Package: 'jv:calipel/s/benchmarks/micro' }"

"{ NameSpace: Smalltalk }"

Benchmark subclass:#BenchmarkPerformEliot
	instanceVariableNames:'sel'
	classVariableNames:''
	poolDictionaries:''
	category:'CalipeL-S-Benchmarks-Micro'
!

!BenchmarkPerformEliot class methodsFor:'documentation'!

documentation
"
    This class implements simple perform:with: benchmark suggested by Eliot Miranda [1]

    [1]: http://forum.world.st/Re-Pharo-dev-Fed-up-tt5110526.html#none

    [author:]
        Eliot Miranda
        Jan Vrany <jan.vrany@fit.cvut.cz>

    [instance variables:]

    [class variables:]

    [see also:]


"
! !

!BenchmarkPerformEliot methodsFor:'benchmarks'!

benchFibBase
    <benchmark>

    self benchFibBase: 42

    "Created: / 25-01-2020 / 22:06:21 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

benchFibBase: n
        ^n < 2
                ifTrue: [1] 
                ifFalse: [(self benchFibBase: n-1)  + (self benchFibBase: n-2) + 1]

    "Created: / 25-01-2020 / 22:05:43 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

benchFibPerform
    <benchmark>

    self benchFibPerform: 42

    "Created: / 25-01-2020 / 22:07:09 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

benchFibPerform2
    <benchmark>

    sel := #benchFibPerform2:.
    self benchFibPerform2: 42

    "Created: / 26-01-2020 / 09:59:36 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

benchFibPerform2: n
        ^n < 2
                ifTrue: [1] 
                ifFalse: [(self perform: sel with: n-1)  + (self perform: sel with: n-2) + 1]

    "Created: / 26-01-2020 / 10:00:01 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

benchFibPerform: n
        ^n < 2
                ifTrue: [1] 
                ifFalse: [(self perform: #benchFibPerform: with: n-1)  + (self perform: #benchFibPerform: with: n-2) + 1]

    "Created: / 25-01-2020 / 22:06:56 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!BenchmarkPerformEliot class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

