#!/bin/bash
# 
# a CI job to run CalipeL/S tests on Pharo
#
set -e

if [ ! -f "ci-pharo-common.sh" ]; then
    wget -O "ci-pharo-common.sh" https://bitbucket.org/janvrany/jv-calipel/raw/tip/s/pharo/ci/ci-pharo-common.sh
fi
. ci-pharo-common.sh


ci_pharo_download_pharo
ci_pharo_download_calipel

rm -rf Calipel*Test.xml
# Must turn off errexit option, Pharo return non-zero
# status when one or more tests fail. 
set +e
./pharo $IMAGE test CalipeL-S-Tests --junit-xml-output
set -e
