class CompareQuery
  include ActiveModel::Model

  attr_accessor :benchmark_infos

  def initialize(*args)
    super

    @benchmark_infos ||= {}
  end

  def filtered_benchmark_infos
    BenchmarkInfo
      .where(id: filtered_benchmark_info_ids)
      .includes(benchmark_results: [ :benchmark_batch,
                                     :benchmark_durations,
                                     :benchmark_parameters ])
  end

  def filtered_benchmark_info_ids
    benchmark_infos.select(&:present?).compact
  end

end
